TechDraw CosmeticVertex: Difference between revisions

From FreeCAD Documentation
(Notes)
mNo edit summary
Line 24: Line 24:


<!--T:8-->
<!--T:8-->
The '''TechDraw CosmeticVertex''' tool adds a [[Glossary#V|vertex]], which is not part of the source geometry, to a View. This vertex behaves like any other vertex and can be used for dimensioning.
The '''TechDraw CosmeticVertex''' tool adds a [[Glossary#V|vertex]], which is not part of the source geometry, to a view. This vertex behaves like any other vertex and can be used for dimensioning.


</translate>
</translate>

Revision as of 11:03, 27 July 2023

TechDraw CosmeticVertex

Menu location
TechDraw → Add Vertices → Add Cosmetic Vertex
Workbenches
TechDraw
Default shortcut
None
Introduced in version
0.19
See also
TechDraw Midpoint, TechDraw Quadrant

Description

The TechDraw CosmeticVertex tool adds a vertex, which is not part of the source geometry, to a view. This vertex behaves like any other vertex and can be used for dimensioning.

Cosmetic vertex used to create an otherwise impossible dimension

Usage

  1. Select a view in the drawing.
  2. Press the Add Cosmetic Vertex button
  3. A task dialog will open. It allows to set location of the Cosmetic Vertex either by picking a point or by entering an x,y-offset from the center of the selected view.
  4. To pick a position, press the button Point Picker. Click to a position in the view and subsequently press OK to create the point. To exit the point picking without creating a Cosmetic Vertex, press the Escape picking button in the dialog.

Notes

  • You cannot change the position of an existing cosmetic vertex. At the moment there is no other way than to delete it and create a new one.
  • To delete a cosmetic vertex use TechDraw CosmeticEraser.

Properties

Cosmetic vertices have no properties of their own, as they are not document objects. They share color and size settings with regular geometry vertices.

Scripting

See also: Autogenerated API documentation and FreeCAD Scripting Basics.

Cosmetic Vertices are available to macros or the Python console.

dvp = App.ActiveDocument.View
org = App.Vector(0.0, 0.0, 0.0)
dvp.makeCosmeticVertex(org);

#lines too!
start = FreeCAD.Vector (1.0, 5.0, 0.0)
end = FreeCAD.Vector(1.0, -5.0, 0.0)
style = 2
weight = 0.75
pyGreen = (0.0, 0.0, 1.0, 0.0)
dvp.makeCosmeticLine(start,end,style, weight, pyGreen)